Page MenuHomePhabricator

Change the language codes of Sakizaya from "ais" (retired by SIL) to "szy" everywhere, and add it to Names.php
Closed, ResolvedPublic

Description

Add Nataoran/Sakizaya (ais) to Names.php

I am not sure which language name is correct. Incubator for "ais" says Sakizaya, en.wiki redirects Sakizaya to Nataoran.

First export from translatewiki.net for "ais" with https://gerrit.wikimedia.org/r/#/c/374690/

Details

Related Gerrit Patches:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2017, 6:31 PM

I am not sure which language name is correct.

Contact akamycoco?

Government of Taiwan goes in one direction, SIL goes in a different direction. Right now policy is that SIL and official language codes are the standard. LangCom needs to weigh in if it wants this handled differently.

It is Sakizaya, because there is no Nataoran language. Nataoran is a name of Amis community. (also as Natawran, 那荳蘭部落) People who lives in Nataoran speak Nanshi Amis, it is included in "ami" project(Amis Wikipedia), not in ais.

It is Sakizaya, because there is no Nataoran language. Nataoran is a name of Amis community. (also as Natawran, 那荳蘭部落) People who lives in Nataoran speak Nanshi Amis, it is included in "ami" project(Amis Wikipedia), not in ais.

Yesterday I asked Ethnologue: https://www.ethnologue.com/contribution/318201

Per Jennifer's comment, it looks like Nataoran does exist, and just different from Sakizaya which Incubator test project uses.

Maybe instead of changing reference name, it's better to split this code?

I think she provided these informations which tell exactly that those names such as Natawran, Pokpok, Lidaw and Cikasuan are just the names of Amis villages. We can not see the discussion about Nataoran Language itself.

Maybe it's better to gather more sources, so that the situation would be quite clearer. Actually, the Wikipedia projects in all 16 Taiwan indigenous languages are organized by ALCD of National Chengchi University. The center works with the language experts in Sakizaya und also in Amis who live exactly in northern Hualien. They are trying to gather informations at present.

It was enabled as $wgExtraLanguageNames['ais'] = 'Sakizaya'; # Sakizaya / Amir 2017-05-02 in translatewiki.net by @Amire80.

As @StevenJ81 I always go with SIL in case of doubt. In this case https://iso639-3.sil.org/code/ais says that the language name is Nataoran Amis. If the language name is wrong, maybe we can ask SIL to change their name there?

MarcoAurelio changed the task status from Open to Stalled.Jun 30 2018, 8:48 AM
MarcoAurelio triaged this task as Medium priority.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 7 2018, 1:04 PM

@Corainn Hello. As per your messages above, is Nataroan Amis an acceptable naming as SIL says, or is Sakizaya? I have a patch prepared but it cannot go forward without this very important information.

@StevenJ81 Hello. Can you please ask LangCom for advice here?

Thanks for your assistance.

I am happy to ask LangCom for advice. But to be perfectly honest, I'd like to put this one on hold until January. The whole question of whether "Nataoran Amis" exists independently of Amis in general seems to be a little controversial, and I'm told that there are going to be change requests to SIL in the upcoming round to reassign that language code to Sakizaya (or else to give Sakizaya a new code). So to be perfectly candid I'd like to see what happens in the January 2019 release from SIL first.

I am happy to wait until January 2019 as well unless there are reasons not to. If neither an ais.wiki.* or ami.wiki.* is going to be created before such a date I think we can certainly wait IMHO. Thank you.

Liuxinyu970226 added a subscriber: Shangkuanlc.EditedAug 7 2018, 4:15 PM

@StevenJ81 and @MarcoAurelio, currently I still don't see any requests that, includ this ais one, regarding languages of Taiwan, on Change Request Index, I don't see 5W1H such requests can't be generated within 10 months? Where are spikes for them?

I now have to investigate members of Wikimedia Taiwan, e.g.@Shangkuanlc @Reke @Htchien and @Bellenion to join this task, to let em explain such stucks, and their reasons.

Hi @MarcoAurelio and @StevenJ81, yes please wait until 2019 since the problem of the languages has not yet been solved.

@Corainn So if there are still no requests from your community in 2019, we should wait for 2020? So if still no requests in 2020 we have to wait for 2021?... This isn't one of site renaming requests, there are no reasons to wait for several years.

@Liuxinyu970226: Are you saying the code is not in the language table at all? I guess I misunderstood that. If it looks like this is not going to be resolved in the January 2019 code release—and I see no reason we can't hold off a couple of more months—then I'm ok with adding the label as "Nataoran/Sakizaya" in the meantime. (For the record, I'm not OK using just "Sakizaya" until and unless SIL goes there.)

@StevenJ81 I'm not sure if it helps but https://iso639-3.sil.org/code/ais certainly exists as "Nataroan Amis".

I know. The issue here is that many people are claiming that "Nataoran Amis" is not really a different language from Amis (ami), and that Sakizaya is a completely different language. At the same time, SIL considers Sakizaya to be a dialect of Nataoran (and therefore within the boundaries of "ais").

The first position seems to be the one the Taiwan government has adapted—and they seem to think that "ais" should refer to Sakizaya. And in any event the current Wp/ais project in Incubator is a Sakizaya project. On the other hand SIL's position is what it is. What's more, translatewiki.net (and therefore we) rely on an authority that manages language names (I'm trying to remember who). And that authority normally fully sticks with the official SIL name regardless of what we might prefer.

So as an approach to compromise in the short run, and understanding that anything we import from outside will be what it will be, I think it is reasonable to allow the variant "/Sakizaya" in our names table here. But I would disagree with removing "Nataoran" until and unless SIL does so.

@StevenJ81 and @MarcoAurelio: We will submit the request as soon as possible. As far as I know, it will be submitted within two weeks before the deadline of this annual change cycle. So I think it's ok to wait until January 2019 for the code release.

Organization I couldn't think of before was Unicode CLDR.

Let's wait then. If the request doesn't make it in, we'll talk about it at that point.

Yes please, let's wait. I already put this Task on hold (stalled). When we have a clear and definitive solution we can move forward I think.

It's very nice of you guys. Thanks for attention!

MarcoAurelio lowered the priority of this task from Medium to Low.Aug 9 2018, 6:34 PM

@Corainn

We will submit the request as soon as possible. As far as I know, it will be submitted within two weeks before the deadline of this annual change cycle. So I think it's ok to wait until January 2019 for the code release.

So it should be today, as you now have only 14 days to submit

Liuxinyu970226 added a comment.EditedJan 25 2019, 4:07 PM

Wow Per SIL's comment, the SIL has rejected simple language name renaming, but retired the ais code and created szy for Sakizaya separately.

@MarcoAurelio So what else should we do on code bases?

Aklapper renamed this task from Add Nataoran/Sakizaya (ais) to Names.php to Add Nataoran (ais; retired by SIL) / Sakizaya (szy since 2019) to Names.php.Jan 25 2019, 5:45 PM
MarcoAurelio removed MarcoAurelio as the assignee of this task.Jan 25 2019, 10:39 PM

I'm not sure what to do here: maintain 'ais' or rename to 'szy'. I'd ask the Language-Team for guidance. I am removing myself from the assigned field to avoid blocking the work here.

Liuxinyu970226 added subscribers: daniel, Addshore.EditedJan 26 2019, 2:32 AM

@Nikerabbit To me the rest things that we need rename are:

  1. On translatewiki.net: Portal:ais to Portal:szy;
  2. languages/i18n/ais.json to languages/i18n/szy.json, and do so (ais.jsopn to szy.json) on all other extensions/skins;
  3. On Wikidata, rename monolingual text value ais to szy (Pardon @Addshore @daniel @Pasleim Can this be automatically done (or done by bot) if the second is completely done? If not, what's the way to rename that?)
Liuxinyu970226 renamed this task from Add Nataoran (ais; retired by SIL) / Sakizaya (szy since 2019) to Names.php to Change the language codes of Sakizaya from "ais" (retired by SIL) to "szy" everywhere, and add it to Names.php.Feb 1 2019, 2:00 AM
Liuxinyu970226 added a project: Wikidata.

One confusing thing: IANA language subtag still says

%%
Type: language
Subtag: ais
Description: Nataoran Amis
Added: 2009-07-29
%%

Should we also ask them to change?

Let me ask the scholar here in Taiwan :)

Look, it's going to take some time for this code change to filter down to everywhere it needs to go. So @Liuxinyu970226, if you can push IANA forward, that would be great.

I will say that once this phabricator is finished—and once all the translations at translatewiki.net (@Amire80 for information) have been moved, I can put Sakazaya Test Wikipedia on Incubator to LangCom for project approval.

Hey @Shangkuanlc, as you can see the infos mentioned above, could you ask someone in the Wikimedia Taiwan for a help? Since I have only few knowledge about software, that would be great if there is someone knowing how to finish the Phabricator and move translations at translatewiki.net to the right place.

@Shangkuanlc Why JohnLevis? That's a WMF global banned user.

@Liuxinyu970226 sorry, what do you mean? I don’t recall I talked about any
John... Also, do mean Lewis? I only find User:JohnLewis, not User:JohnLevis
got banned.

well I still think that it's problemic to ping a WMF banned user as professor, so I've removed that user from subscribe list.

Amire80 added a subscriber: abi_.EditedJul 19 2019, 5:58 AM

OK, it looks like ais should be moved to szy, and there is no doubt now, according to https://iso639-3.sil.org/code/ais

See also https://translatewiki.net/wiki/Thread:Support/Sakizaya

@Raymond , @abi_: What is to be done?

  • I don't see ais, ami, or szy in Names.php, so I guess that szy should be added there.
  • translatewiki's LanguageSettings.php should be changed from ais to szy, although if szy is added to Names.php, this shouldn't necessary.
  • Rename existing exported json files from ais.json to szy.json. This is probably the most complex part, and I'll need @Raymond and @abi_'s help with this.
  • Existing translated pages must be moved from /ais to /szy. Also a bit complex.

Anything else?

@Raymond , @abi_: What is to be done?

  • I don't see ais, ami, or szy in Names.php, so I guess that szy should be added there.

Should be added once the threshold for new languages is passed. Currently none of these codes are exported to MediaWiki Core.

  • translatewiki's LanguageSettings.php should be changed from ais to szy, although if szy is added to Names.php, this shouldn't necessary.

Yes

  • Rename existing exported json files from ais.json to szy.json. This is probably the most complex part, and I'll need @Raymond and @abi_'s help with this.

Are there any exported json files already?

  • Existing translated pages must be moved from /ais to /szy. Also a bit complex.

That is the most complex part and I have no idea how to do it. I am unsure if Special:ReplaceText could handle this kind of renames based on a suffix (/ais)

Anything else?

Page renames in Incubator?

There isn't an established process for language code changes. We could use a code map temporarily, but I'd guess there aren't that many /ais pages so they could be moved over with ReplaceText command line script.

Pages have already been moved in Incubator.

Change 543410 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/core@master] Add [szy] Sakizaya to Names.php

https://gerrit.wikimedia.org/r/543410

jhsoby added a subscriber: jhsoby.EditedOct 16 2019, 12:52 PM

I was chatting with @Nikerabbit and @Raymond about this yesterday in #mediawiki-i18n. My proposed action plan in order to move this language from ais to szy is as follows:

  1. Disable translations into ais.
  2. Enable translation into szy.
  3. Move all existing /ais messages on Translatewiki to /szy by bot.
    1. This will duplicate everything to szy.json files, but will have no effect on the ais.json files. As Niklas mentioned, this will probably lead to the content from ais.json files being imported back into Translatewiki from the still-existing ais.json files. However, if translating into ais is disabled on Translatewiki, I don't think this will be a significant problem (and it shouldn't be a blocker). Yes, there will exist duplicate pages, but they can't really be changed (perhaps by editing by hand, but not via Special:Translate), so there is no real danger of conflicting edits.
  4. Then figure out what and how to do anything with the ais.json files.
  5. Disable exports of ais (see patch below)
  6. Delete ais.json from core and extensions
  7. Delete any re-imported /ais pages on Translatewiki

The most important thing here is to get the szy.json files up and running, so I think this should suffice as first steps.

I don't like the idea of "figure out later". It just piles more unplanned work on us (or worse, mess is left behind). Let's make a proper plan and get it resourced.

Change 543453 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[translatewiki@master] Disable language code ais and enable szy

https://gerrit.wikimedia.org/r/543453

jhsoby added a comment.EditedOct 16 2019, 1:13 PM

I don't like the idea of "figure out later". It just piles more unplanned work on us (or worse, mess is left behind). Let's make a proper plan and get it resourced.

That I can understand. :-)

However, see the commit I just made above. If stuff works in the way I think it works, that will no longer export any ais.json files. So then we are free to delete the ais.json files from repos, without risking those being recreated by any future exports, and then we can delete any /ais pages on Translatewiki without them being recreated by imports.

Change 543453 merged by jenkins-bot:
[translatewiki@master] Disable language code ais and enable szy

https://gerrit.wikimedia.org/r/543453

I'm going to perform mass renames with:

php replaceAll.php --nsall --rename /ais /szy -s "https://phabricator.wikimedia.org/T174601" -m --dry-run --debug

List of renamed pages is temporarily at https://translatewiki.net/static/temp/ais.txt

I am now going to run the following new scripts to rename files in repos:

repomulti update
php export-rename-language.php --group '*' --source-language ais --target-language szy --target /resources/nike
repomulti status # sanity check
repomulti commit
Renaming ./mediawiki-extensions//AbuseFilter/i18n/ais.json to ./mediawiki-extensions//AbuseFilter/i18n/szy.json
Renaming ./mediawiki-extensions//AccountInfo/i18n/ais.json to ./mediawiki-extensions//AccountInfo/i18n/szy.json
Renaming ./mediawiki-extensions//AdvancedSearch/i18n/ais.json to ./mediawiki-extensions//AdvancedSearch/i18n/szy.json
Renaming ./mediawiki-extensions//AntiSpoof/i18n/ais.json to ./mediawiki-extensions//AntiSpoof/i18n/szy.json
Renaming ./mediawiki-extensions//AntiSpoof/i18n/api/ais.json to ./mediawiki-extensions//AntiSpoof/i18n/api/szy.json
Renaming ./mediawiki-extensions//ApiFeatureUsage/i18n/ais.json to ./mediawiki-extensions//ApiFeatureUsage/i18n/szy.json
Renaming ./mediawiki-extensions//ApprovedRevs/i18n/ais.json to ./mediawiki-extensions//ApprovedRevs/i18n/szy.json
Renaming ./mediawiki-extensions//ArticleFeedbackv5/i18n/ais.json to ./mediawiki-extensions//ArticleFeedbackv5/i18n/szy.json
Renaming ./mediawiki-extensions//Babel/i18n/ais.json to ./mediawiki-extensions//Babel/i18n/szy.json
Renaming ./mediawiki-extensions//Babel/i18n/api/ais.json to ./mediawiki-extensions//Babel/i18n/api/szy.json
Renaming ./mediawiki-extensions//BetaFeatures/i18n/ais.json to ./mediawiki-extensions//BetaFeatures/i18n/szy.json
Renaming ./mediawiki-extensions//BetaFeatures/i18n/api/ais.json to ./mediawiki-extensions//BetaFeatures/i18n/api/szy.json
Renaming ./mediawiki-extensions//BlueSpiceFoundation/i18n/core/ais.json to ./mediawiki-extensions//BlueSpiceFoundation/i18n/core/szy.json
Renaming ./mediawiki-extensions//BlueSpiceFoundation/i18n/credits/ais.json to ./mediawiki-extensions//BlueSpiceFoundation/i18n/credits/szy.json
Renaming ./mediawiki-extensions//BlueSpiceFoundation/i18n/deferred/ais.json to ./mediawiki-extensions//BlueSpiceFoundation/i18n/deferred/szy.json
Renaming ./mediawiki-extensions//BlueSpiceFoundation/i18n/extjs/ais.json to ./mediawiki-extensions//BlueSpiceFoundation/i18n/extjs/szy.json
Renaming ./mediawiki-extensions//BlueSpiceFoundation/i18n/filerepo/ais.json to ./mediawiki-extensions//BlueSpiceFoundation/i18n/filerepo/szy.json
Renaming ./mediawiki-extensions//BlueSpiceFoundation/i18n/upload/ais.json to ./mediawiki-extensions//BlueSpiceFoundation/i18n/upload/szy.json
Renaming ./mediawiki-extensions//BlueSpiceInsertFile/i18n/ais.json to ./mediawiki-extensions//BlueSpiceInsertFile/i18n/szy.json
Renaming ./mediawiki-extensions//BlueSpiceInsertLink/i18n/ais.json to ./mediawiki-extensions//BlueSpiceInsertLink/i18n/szy.json
Renaming ./mediawiki-extensions//BlueSpiceInsertMagic/i18n/ais.json to ./mediawiki-extensions//BlueSpiceInsertMagic/i18n/szy.json
Renaming ./mediawiki-extensions//BlueSpiceReaders/i18n/ais.json to ./mediawiki-extensions//BlueSpiceReaders/i18n/szy.json
Renaming ./mediawiki-extensions//BlueSpiceRSSFeeder/i18n/ais.json to ./mediawiki-extensions//BlueSpiceRSSFeeder/i18n/szy.json
Renaming ./mediawiki-extensions//BlueSpiceSmartList/i18n/ais.json to ./mediawiki-extensions//BlueSpiceSmartList/i18n/szy.json
Renaming ./mediawiki-extensions//BlueSpiceUserManager/i18n/ais.json to ./mediawiki-extensions//BlueSpiceUserManager/i18n/szy.json
Renaming ./mediawiki-extensions//Campaigns/i18n/ais.json to ./mediawiki-extensions//Campaigns/i18n/szy.json
Renaming ./mediawiki-extensions//Cargo/i18n/ais.json to ./mediawiki-extensions//Cargo/i18n/szy.json
Renaming ./mediawiki-extensions//CategoryTree/i18n/ais.json to ./mediawiki-extensions//CategoryTree/i18n/szy.json
Renaming ./mediawiki-extensions//CategoryTree/i18n/api/ais.json to ./mediawiki-extensions//CategoryTree/i18n/api/szy.json
Renaming ./mediawiki-extensions//CentralAuth/i18n/ais.json to ./mediawiki-extensions//CentralAuth/i18n/szy.json
Renaming ./mediawiki-extensions//CentralNotice/i18n/ais.json to ./mediawiki-extensions//CentralNotice/i18n/szy.json
Renaming ./mediawiki-extensions//CirrusSearch/i18n/ais.json to ./mediawiki-extensions//CirrusSearch/i18n/szy.json
Renaming ./mediawiki-extensions//CirrusSearch/i18n/api/ais.json to ./mediawiki-extensions//CirrusSearch/i18n/api/szy.json
Renaming ./mediawiki-extensions//Cite/i18n/ais.json to ./mediawiki-extensions//Cite/i18n/szy.json
Renaming ./mediawiki-extensions//Cite/modules/ve-cite/i18n/ais.json to ./mediawiki-extensions//Cite/modules/ve-cite/i18n/szy.json
Renaming ./mediawiki-extensions//CiteThisPage/i18n/ais.json to ./mediawiki-extensions//CiteThisPage/i18n/szy.json
Renaming ./mediawiki-extensions//Citoid/i18n/ais.json to ./mediawiki-extensions//Citoid/i18n/szy.json
Renaming ./mediawiki-extensions//CloseWikis/i18n/ais.json to ./mediawiki-extensions//CloseWikis/i18n/szy.json
Renaming ./mediawiki-extensions//Collection/i18n/ais.json to ./mediawiki-extensions//Collection/i18n/szy.json
Renaming ./mediawiki-extensions//Comments/i18n/ais.json to ./mediawiki-extensions//Comments/i18n/szy.json
Renaming ./mediawiki-extensions//ConfirmAccount/i18n/confirmaccount/ais.json to ./mediawiki-extensions//ConfirmAccount/i18n/confirmaccount/szy.json
Renaming ./mediawiki-extensions//ConfirmEdit/i18n/ais.json to ./mediawiki-extensions//ConfirmEdit/i18n/szy.json
Renaming ./mediawiki-extensions//ConfirmEdit/i18n/api/ais.json to ./mediawiki-extensions//ConfirmEdit/i18n/api/szy.json
Renaming ./mediawiki-extensions//ConfirmEdit/FancyCaptcha/i18n/ais.json to ./mediawiki-extensions//ConfirmEdit/FancyCaptcha/i18n/szy.json
Renaming ./mediawiki-extensions//ConfirmEdit/FancyCaptcha/i18n/api/ais.json to ./mediawiki-extensions//ConfirmEdit/FancyCaptcha/i18n/api/szy.json
Renaming ./mediawiki-extensions//ContactPage/i18n/ais.json to ./mediawiki-extensions//ContactPage/i18n/szy.json
Renaming ./mediawiki-extensions//ContentTranslation/i18n/ais.json to ./mediawiki-extensions//ContentTranslation/i18n/szy.json
Renaming ./mediawiki-extensions//Contributors/i18n/ais.json to ./mediawiki-extensions//Contributors/i18n/szy.json
Renaming ./mediawiki-extensions//CreateRedirect/i18n/ais.json to ./mediawiki-extensions//CreateRedirect/i18n/szy.json
Renaming ./mediawiki-extensions//DataTransfer/i18n/ais.json to ./mediawiki-extensions//DataTransfer/i18n/szy.json
Renaming ./mediawiki-extensions//Disambiguator/i18n/ais.json to ./mediawiki-extensions//Disambiguator/i18n/szy.json
Renaming ./mediawiki-extensions//DismissableSiteNotice/i18n/ais.json to ./mediawiki-extensions//DismissableSiteNotice/i18n/szy.json
Renaming ./mediawiki-extensions//DonationInterface/gateway_common/i18n/interface/ais.json to ./mediawiki-extensions//DonationInterface/gateway_common/i18n/interface/szy.json
Renaming ./mediawiki-extensions//DPLforum/i18n/ais.json to ./mediawiki-extensions//DPLforum/i18n/szy.json
Renaming ./mediawiki-extensions//Echo/i18n/ais.json to ./mediawiki-extensions//Echo/i18n/szy.json
Renaming ./mediawiki-extensions//EditUser/i18n/ais.json to ./mediawiki-extensions//EditUser/i18n/szy.json
Renaming ./mediawiki-extensions//ElectronPdfService/i18n/ais.json to ./mediawiki-extensions//ElectronPdfService/i18n/szy.json
Renaming ./mediawiki-extensions//EmailAuthorization/i18n/ais.json to ./mediawiki-extensions//EmailAuthorization/i18n/szy.json
Renaming ./mediawiki-extensions//EmailCapture/i18n/ais.json to ./mediawiki-extensions//EmailCapture/i18n/szy.json
Renaming ./mediawiki-extensions//EventLogging/i18n/core/ais.json to ./mediawiki-extensions//EventLogging/i18n/core/szy.json
Renaming ./mediawiki-extensions//FeaturedFeeds/i18n/ais.json to ./mediawiki-extensions//FeaturedFeeds/i18n/szy.json
Renaming ./mediawiki-extensions//FeaturedFeeds/i18n/api/ais.json to ./mediawiki-extensions//FeaturedFeeds/i18n/api/szy.json
Renaming ./mediawiki-extensions//FlaggedRevs/i18n/flaggedrevs/ais.json to ./mediawiki-extensions//FlaggedRevs/i18n/flaggedrevs/szy.json
Renaming ./mediawiki-extensions//FlaggedRevs/i18n/pendingchanges/ais.json to ./mediawiki-extensions//FlaggedRevs/i18n/pendingchanges/szy.json
Renaming ./mediawiki-extensions//FlaggedRevs/i18n/problemchanges/ais.json to ./mediawiki-extensions//FlaggedRevs/i18n/problemchanges/szy.json
Renaming ./mediawiki-extensions//FlaggedRevs/i18n/stabilization/ais.json to ./mediawiki-extensions//FlaggedRevs/i18n/stabilization/szy.json
Renaming ./mediawiki-extensions//FlaggedRevs/i18n/unreviewedpages/ais.json to ./mediawiki-extensions//FlaggedRevs/i18n/unreviewedpages/szy.json
Renaming ./mediawiki-extensions//Flow/i18n/ais.json to ./mediawiki-extensions//Flow/i18n/szy.json
Renaming ./mediawiki-extensions//Gadgets/i18n/ais.json to ./mediawiki-extensions//Gadgets/i18n/szy.json
Renaming ./mediawiki-extensions//Gadgets/i18n/api/ais.json to ./mediawiki-extensions//Gadgets/i18n/api/szy.json
Renaming ./mediawiki-extensions//GettingStarted/i18n/ais.json to ./mediawiki-extensions//GettingStarted/i18n/szy.json
Renaming ./mediawiki-extensions//GlobalBlocking/i18n/ais.json to ./mediawiki-extensions//GlobalBlocking/i18n/szy.json
Renaming ./mediawiki-extensions//GlobalUsage/i18n/ais.json to ./mediawiki-extensions//GlobalUsage/i18n/szy.json
Renaming ./mediawiki-extensions//GlobalUsage/i18n/api/ais.json to ./mediawiki-extensions//GlobalUsage/i18n/api/szy.json
Renaming ./mediawiki-extensions//GlobalUserPage/i18n/ais.json to ./mediawiki-extensions//GlobalUserPage/i18n/szy.json
Renaming ./mediawiki-extensions//GoogleSiteSearch/i18n/ais.json to ./mediawiki-extensions//GoogleSiteSearch/i18n/szy.json
Renaming ./mediawiki-extensions//Graph/i18n/ais.json to ./mediawiki-extensions//Graph/i18n/szy.json
Renaming ./mediawiki-extensions//GuidedTour/i18n/ais.json to ./mediawiki-extensions//GuidedTour/i18n/szy.json
Renaming ./mediawiki-extensions//Html2Wiki/i18n/ais.json to ./mediawiki-extensions//Html2Wiki/i18n/szy.json
Renaming ./mediawiki-extensions//ImageMap/i18n/ais.json to ./mediawiki-extensions//ImageMap/i18n/szy.json
Renaming ./mediawiki-extensions//ImportFreeImages/i18n/ais.json to ./mediawiki-extensions//ImportFreeImages/i18n/szy.json
Renaming ./mediawiki-extensions//ImportUsers/i18n/ais.json to ./mediawiki-extensions//ImportUsers/i18n/szy.json
Renaming ./mediawiki-extensions//IndexFunction/i18n/ais.json to ./mediawiki-extensions//IndexFunction/i18n/szy.json
Renaming ./mediawiki-extensions//InputBox/i18n/ais.json to ./mediawiki-extensions//InputBox/i18n/szy.json
Renaming ./mediawiki-extensions//intersection/i18n/ais.json to ./mediawiki-extensions//intersection/i18n/szy.json
Renaming ./mediawiki-extensions//Interwiki/i18n/ais.json to ./mediawiki-extensions//Interwiki/i18n/szy.json
Renaming ./mediawiki-extensions//InviteSignup/i18n/ais.json to ./mediawiki-extensions//InviteSignup/i18n/szy.json
Renaming ./mediawiki-extensions//Kartographer/i18n/ais.json to ./mediawiki-extensions//Kartographer/i18n/szy.json
Renaming ./mediawiki-extensions//LinkFilter/i18n/ais.json to ./mediawiki-extensions//LinkFilter/i18n/szy.json
Renaming ./mediawiki-extensions//LiquidThreads/i18n/ais.json to ./mediawiki-extensions//LiquidThreads/i18n/szy.json
Renaming ./mediawiki-extensions//Listings/i18n/ais.json to ./mediawiki-extensions//Listings/i18n/szy.json
Renaming ./mediawiki-extensions//LiveTranslate/i18n/ais.json to ./mediawiki-extensions//LiveTranslate/i18n/szy.json
Renaming ./mediawiki-extensions//LoginNotify/i18n/ais.json to ./mediawiki-extensions//LoginNotify/i18n/szy.json
Renaming ./mediawiki-extensions//Maintenance/i18n/ais.json to ./mediawiki-extensions//Maintenance/i18n/szy.json
Renaming ./mediawiki-extensions//MassMessage/i18n/ais.json to ./mediawiki-extensions//MassMessage/i18n/szy.json
Renaming ./mediawiki-extensions//Math/i18n/ais.json to ./mediawiki-extensions//Math/i18n/szy.json
Renaming ./mediawiki-extensions//MathSearch/i18n/ais.json to ./mediawiki-extensions//MathSearch/i18n/szy.json
Renaming ./mediawiki-extensions//MobileApp/i18n/ais.json to ./mediawiki-extensions//MobileApp/i18n/szy.json
Renaming ./mediawiki-extensions//MobileFrontend/i18n/ais.json to ./mediawiki-extensions//MobileFrontend/i18n/szy.json
Renaming ./mediawiki-extensions//MobileFrontend/i18n/api/ais.json to ./mediawiki-extensions//MobileFrontend/i18n/api/szy.json
Renaming ./mediawiki-extensions//MultiBoilerplate/i18n/ais.json to ./mediawiki-extensions//MultiBoilerplate/i18n/szy.json
Renaming ./mediawiki-extensions//MultimediaViewer/i18n/ais.json to ./mediawiki-extensions//MultimediaViewer/i18n/szy.json
Renaming ./mediawiki-extensions//MultiLanguageManager/i18n/ais.json to ./mediawiki-extensions//MultiLanguageManager/i18n/szy.json
Renaming ./mediawiki-extensions//NewUserMessage/i18n/ais.json to ./mediawiki-extensions//NewUserMessage/i18n/szy.json
Renaming ./mediawiki-extensions//Newsletter/i18n/ais.json to ./mediawiki-extensions//Newsletter/i18n/szy.json
Renaming ./mediawiki-extensions//NSFileRepo/i18n/nsfilerepo/ais.json to ./mediawiki-extensions//NSFileRepo/i18n/nsfilerepo/szy.json
Renaming ./mediawiki-extensions//Nuke/i18n/ais.json to ./mediawiki-extensions//Nuke/i18n/szy.json
Renaming ./mediawiki-extensions//NumerAlpha/i18n/ais.json to ./mediawiki-extensions//NumerAlpha/i18n/szy.json
Renaming ./mediawiki-extensions//OOJsUIAjaxLogin/i18n/ais.json to ./mediawiki-extensions//OOJsUIAjaxLogin/i18n/szy.json
Renaming ./mediawiki-extensions//OpenStackManager/i18n/ais.json to ./mediawiki-extensions//OpenStackManager/i18n/szy.json
Renaming ./mediawiki-extensions//PageAssessments/i18n/ais.json to ./mediawiki-extensions//PageAssessments/i18n/szy.json
Renaming ./mediawiki-extensions//PageForms/i18n/ais.json to ./mediawiki-extensions//PageForms/i18n/szy.json
Renaming ./mediawiki-extensions//PageViewInfo/i18n/ais.json to ./mediawiki-extensions//PageViewInfo/i18n/szy.json
Renaming ./mediawiki-extensions//PageSchemas/i18n/ais.json to ./mediawiki-extensions//PageSchemas/i18n/szy.json
Renaming ./mediawiki-extensions//PageTriage/i18n/ais.json to ./mediawiki-extensions//PageTriage/i18n/szy.json
Renaming ./mediawiki-extensions//PagesList/i18n/ais.json to ./mediawiki-extensions//PagesList/i18n/szy.json
Renaming ./mediawiki-extensions//ParserFunctions/i18n/ais.json to ./mediawiki-extensions//ParserFunctions/i18n/szy.json
Renaming ./mediawiki-extensions//PdfHandler/i18n/ais.json to ./mediawiki-extensions//PdfHandler/i18n/szy.json
Renaming ./mediawiki-extensions//PollNY/i18n/ais.json to ./mediawiki-extensions//PollNY/i18n/szy.json
Renaming ./mediawiki-extensions//PoolCounter/i18n/ais.json to ./mediawiki-extensions//PoolCounter/i18n/szy.json
Renaming ./mediawiki-extensions//Popups/i18n/ais.json to ./mediawiki-extensions//Popups/i18n/szy.json
Renaming ./mediawiki-extensions//ProofreadPage/i18n/api/ais.json to ./mediawiki-extensions//ProofreadPage/i18n/api/szy.json
Renaming ./mediawiki-extensions//ProofreadPage/i18n/ais.json to ./mediawiki-extensions//ProofreadPage/i18n/szy.json
Renaming ./mediawiki-extensions//QuizGame/i18n/ais.json to ./mediawiki-extensions//QuizGame/i18n/szy.json
Renaming ./mediawiki-extensions//QuickSurveys/i18n/ais.json to ./mediawiki-extensions//QuickSurveys/i18n/szy.json
Renaming ./mediawiki-extensions//RandomInCategory/i18n/ais.json to ./mediawiki-extensions//RandomInCategory/i18n/szy.json
Renaming ./mediawiki-extensions//ReadingLists/i18n/ais.json to ./mediawiki-extensions//ReadingLists/i18n/szy.json
Renaming ./mediawiki-extensions//ReplaceText/i18n/ais.json to ./mediawiki-extensions//ReplaceText/i18n/szy.json
Renaming ./mediawiki-extensions//RevisionSlider/i18n/ais.json to ./mediawiki-extensions//RevisionSlider/i18n/szy.json
Renaming ./mediawiki-extensions//Scribunto/i18n/ais.json to ./mediawiki-extensions//Scribunto/i18n/szy.json
Renaming ./mediawiki-extensions//SecurePoll/i18n/ais.json to ./mediawiki-extensions//SecurePoll/i18n/szy.json
Renaming ./mediawiki-extensions//SemanticGenealogy/i18n/ais.json to ./mediawiki-extensions//SemanticGenealogy/i18n/szy.json
Renaming ./mediawiki-extensions//SiteMatrix/i18n/ais.json to ./mediawiki-extensions//SiteMatrix/i18n/szy.json
Renaming ./mediawiki-extensions//SiteMatrix/i18n/api/ais.json to ./mediawiki-extensions//SiteMatrix/i18n/api/szy.json
Renaming ./mediawiki-extensions//SiteMetrics/i18n/ais.json to ./mediawiki-extensions//SiteMetrics/i18n/szy.json
Renaming ./mediawiki-extensions//SmiteSpam/i18n/ais.json to ./mediawiki-extensions//SmiteSpam/i18n/szy.json
Renaming ./mediawiki-extensions//SpamBlacklist/i18n/ais.json to ./mediawiki-extensions//SpamBlacklist/i18n/szy.json
Renaming ./mediawiki-extensions//Survey/i18n/ais.json to ./mediawiki-extensions//Survey/i18n/szy.json
Renaming ./mediawiki-extensions//TemplateData/i18n/ais.json to ./mediawiki-extensions//TemplateData/i18n/szy.json
Renaming ./mediawiki-extensions//TemplateData/i18n/api/ais.json to ./mediawiki-extensions//TemplateData/i18n/api/szy.json
Renaming ./mediawiki-extensions//TemplateSandbox/i18n/ais.json to ./mediawiki-extensions//TemplateSandbox/i18n/szy.json
Renaming ./mediawiki-extensions//Thanks/i18n/ais.json to ./mediawiki-extensions//Thanks/i18n/szy.json
Renaming ./mediawiki-extensions//Thanks/i18n/api/ais.json to ./mediawiki-extensions//Thanks/i18n/api/szy.json
Renaming ./mediawiki-extensions//ThrottleOverride/i18n/ais.json to ./mediawiki-extensions//ThrottleOverride/i18n/szy.json
Renaming ./mediawiki-extensions//TimedMediaHandler/i18n/ais.json to ./mediawiki-extensions//TimedMediaHandler/i18n/szy.json
Renaming ./mediawiki-extensions//TimedMediaHandler/i18n/EmbedPlayer/ais.json to ./mediawiki-extensions//TimedMediaHandler/i18n/EmbedPlayer/szy.json
Renaming ./mediawiki-extensions//TimedMediaHandler/i18n/api/ais.json to ./mediawiki-extensions//TimedMediaHandler/i18n/api/szy.json
Renaming ./mediawiki-extensions//timeline/i18n/ais.json to ./mediawiki-extensions//timeline/i18n/szy.json
Renaming ./mediawiki-extensions//TitleBlacklist/i18n/ais.json to ./mediawiki-extensions//TitleBlacklist/i18n/szy.json
Renaming ./mediawiki-extensions//TitleBlacklist/i18n/api/ais.json to ./mediawiki-extensions//TitleBlacklist/i18n/api/szy.json
Renaming ./mediawiki-extensions//TorBlock/i18n/ais.json to ./mediawiki-extensions//TorBlock/i18n/szy.json
Renaming ./mediawiki-extensions//Translate/i18n/core/ais.json to ./mediawiki-extensions//Translate/i18n/core/szy.json
Renaming ./mediawiki-extensions//Translate/i18n/pagetranslation/ais.json to ./mediawiki-extensions//Translate/i18n/pagetranslation/szy.json
Renaming ./mediawiki-extensions//Translate/i18n/search/ais.json to ./mediawiki-extensions//Translate/i18n/search/szy.json
Renaming ./mediawiki-extensions//TranslationNotifications/i18n/ais.json to ./mediawiki-extensions//TranslationNotifications/i18n/szy.json
Renaming ./mediawiki-extensions//TwoColConflict/i18n/ais.json to ./mediawiki-extensions//TwoColConflict/i18n/szy.json
Renaming ./mediawiki-extensions//UniversalLanguageSelector/i18n/ais.json to ./mediawiki-extensions//UniversalLanguageSelector/i18n/szy.json
Renaming ./mediawiki-extensions//UniversalLanguageSelector/i18n/api/ais.json to ./mediawiki-extensions//UniversalLanguageSelector/i18n/api/szy.json
Renaming ./mediawiki-extensions//UploadWizard/i18n/ais.json to ./mediawiki-extensions//UploadWizard/i18n/szy.json
Renaming ./mediawiki-extensions//UploadWizard/i18n/api/ais.json to ./mediawiki-extensions//UploadWizard/i18n/api/szy.json
Renaming ./mediawiki-extensions//VisualEditor/i18n/ve-mw/ais.json to ./mediawiki-extensions//VisualEditor/i18n/ve-mw/szy.json
Renaming ./mediawiki-extensions//VisualEditor/i18n/ve-mw/api/ais.json to ./mediawiki-extensions//VisualEditor/i18n/ve-mw/api/szy.json
Renaming ./mediawiki-extensions//VisualEditor/i18n/ve-wmf/ais.json to ./mediawiki-extensions//VisualEditor/i18n/ve-wmf/szy.json
Renaming ./mediawiki-extensions//WikiEditor/i18n/ais.json to ./mediawiki-extensions//WikiEditor/i18n/szy.json
Renaming ./mediawiki-extensions//WikiForum/i18n/ais.json to ./mediawiki-extensions//WikiForum/i18n/szy.json
Renaming ./mediawiki-extensions//WikiLexicalData/i18n/lexicaldata/ais.json to ./mediawiki-extensions//WikiLexicalData/i18n/lexicaldata/szy.json
Renaming ./mediawiki-extensions//WikiLove/i18n/ais.json to ./mediawiki-extensions//WikiLove/i18n/szy.json
Renaming ./mediawiki-extensions//Wikibase/client/i18n/ais.json to ./mediawiki-extensions//Wikibase/client/i18n/szy.json
Renaming ./mediawiki-extensions//Wikibase/lib/i18n/ais.json to ./mediawiki-extensions//Wikibase/lib/i18n/szy.json
Renaming ./mediawiki-extensions//Wikibase/repo/i18n/ais.json to ./mediawiki-extensions//Wikibase/repo/i18n/szy.json
Renaming ./mediawiki-extensions//Wikibase/repo/i18n/api/ais.json to ./mediawiki-extensions//Wikibase/repo/i18n/api/szy.json
Renaming ./mediawiki-extensions//WikimediaEvents/i18n/ais.json to ./mediawiki-extensions//WikimediaEvents/i18n/szy.json
Renaming ./mediawiki-extensions//WikimediaIncubator/i18n/ais.json to ./mediawiki-extensions//WikimediaIncubator/i18n/szy.json
Renaming ./mediawiki-extensions//WikimediaMessages/i18n/wikimedia/ais.json to ./mediawiki-extensions//WikimediaMessages/i18n/wikimedia/szy.json
Renaming ./mediawiki-extensions//WikimediaMessages/i18n/contactpage/ais.json to ./mediawiki-extensions//WikimediaMessages/i18n/contactpage/szy.json
Renaming ./mediawiki-extensions//WikimediaMessages/i18n/cclicensetexts/ais.json to ./mediawiki-extensions//WikimediaMessages/i18n/cclicensetexts/szy.json
Renaming ./mediawiki-extensions//WikimediaMessages/i18n/licensetexts/ais.json to ./mediawiki-extensions//WikimediaMessages/i18n/licensetexts/szy.json
Renaming ./mediawiki-skins//apex/i18n/ais.json to ./mediawiki-skins//apex/i18n/szy.json
Renaming ./mediawiki-skins//Athena/i18n/ais.json to ./mediawiki-skins//Athena/i18n/szy.json
Renaming ./mediawiki-skins//BlueSky/i18n/ais.json to ./mediawiki-skins//BlueSky/i18n/szy.json
Renaming ./mediawiki-skins//CologneBlue/i18n/ais.json to ./mediawiki-skins//CologneBlue/i18n/szy.json
Renaming ./mediawiki-skins//MinervaNeue/i18n/ais.json to ./mediawiki-skins//MinervaNeue/i18n/szy.json
Renaming ./mediawiki-skins//MonoBook/i18n/ais.json to ./mediawiki-skins//MonoBook/i18n/szy.json
Renaming ./mediawiki-skins//Nostalgia/i18n/ais.json to ./mediawiki-skins//Nostalgia/i18n/szy.json
Renaming ./mediawiki-skins//Poncho/i18n/ais.json to ./mediawiki-skins//Poncho/i18n/szy.json
Renaming ./mediawiki-skins//Splash/i18n/ais.json to ./mediawiki-skins//Splash/i18n/szy.json
Renaming ./mediawiki-skins//Timeless/i18n/ais.json to ./mediawiki-skins//Timeless/i18n/szy.json
Renaming ./mediawiki-skins//Vector/i18n/ais.json to ./mediawiki-skins//Vector/i18n/szy.json
Renaming ./mwgerrit/oojs/ui/i18n/ais.json to ./mwgerrit/oojs/ui/i18n/szy.json
Renaming ./mwgerrit/VisualEditor/VisualEditor/i18n/ais.json to ./mwgerrit/VisualEditor/VisualEditor/i18n/szy.json
Renaming ./mediawiki/master/languages/i18n/ais.json to ./mediawiki/master/languages/i18n/szy.json
Renaming ./mediawiki/master/languages/i18n/exif/ais.json to ./mediawiki/master/languages/i18n/exif/szy.json
Renaming ./commons-android/app/src/main/res/values-ais/error.xml to ./commons-android/app/src/main/res/values-szy/error.xml
Removing empty directory /resources/nike/./commons-android/app/src/main/res/values-ais
Renaming ./jquery.uls/i18n/ais.json to ./jquery.uls/i18n/szy.json
Done

Change 543673 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Add script to rename language codes in repositories

https://gerrit.wikimedia.org/r/543673

Change 543679 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Add additional tooling for working with repositories

https://gerrit.wikimedia.org/r/543679

Change 543410 merged by jenkins-bot:
[mediawiki/core@master] Add [szy] Sakizaya to Names.php

https://gerrit.wikimedia.org/r/543410

jhsoby closed this task as Resolved.Oct 21 2019, 6:52 AM
jhsoby assigned this task to Nikerabbit.

I believe this is all done now.

Change 543673 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Add script to rename language codes in repositories

https://gerrit.wikimedia.org/r/543673

Change 543679 merged by jenkins-bot:
[translatewiki@master] Add additional tooling for working with repositories

https://gerrit.wikimedia.org/r/543679